curl --request GET \
--url https://sandbox.layerfi.com/v2/activity/businesses/{businessId}/activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v2/activity/businesses/{businessId}/activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v2/activity/businesses/{businessId}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"categorizationMethod": "SMS",
"categorization": {
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"type": "Categorize_Transaction_Activity"
}
]""Fetch business activities
Generates a list of activities for a specific business. Activities include categorization, SMS, and other business-specific events. This endpoint is paginated, see Pagination for details. This v2 endpoint uses the same response format as v1.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business to fetch activities for
Query Parameters
Filter activities by start date. Activities with a start date on or after this date will be included. ISO 8601 date format.
Filter activities by end date. Activities with a start date on or before this date will be included. ISO 8601 date format.
The page number to fetch. Defaults to 1.
The number of items per page. Defaults to 25, maximum is 100.
Response
- Categorize Transaction
- Load PnL
ID of the transaction to categorize in this activity.
The categorization method for this activity.
SMS, API, LAYER_AUTO, LAYER_MANUAL The categorization for the transaction
- Category
- Split
Show child attributes
Show child attributes
Timestamp of when this activity was created.
Resource type. Value will be 'Categorize_Transaction_Activity'.
"Categorize_Transaction_Activity"